%define name    rubberband
%define version 1.4.0
%define release 1
%define prefix  /usr

Summary:		Rubber Band audio time-stretching and pitch-shifting library
Name:			%{name}
Version:		%{version}
Release:		%{release}
Group:			Sound
License:		GPL
URL:			http://www.breakfastquay.com/rubberband/
Source0:		%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

BuildRequires:	gcc-c++
BuildRequires:	pkgconfig
BuildRequires:	fftw3-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	ladspa

%description
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the rubberband audio file time-stretcher
and pitch-shiter command line utility.


%package -n rubberband-ladspa
Summary:	Rubber Band LADSPA plugins
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	ladspa

%description -n rubberband-ladspa
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the rubberband LADSPA plugin.


%package -n librubberband1
Summary:	Rubber Band shared libraries
Group:		System/Libraries
Provides:	librubberband1 = 1.0.1
Obsoletes:	librubberband1 <= 1.0.1

%description -n librubberband1
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.


%package -n librubberband-devel
Summary:	Rubber Band include files and libraries for development
Group:		Development/Libraries/C and C++
Requires:	librubberband%{_SO_nr} = %{version}

%description -n librubberband-devel
Rubber Band Library is a high quality software library for audio
time-stretching and pitch-shifting. It permits you to change the
tempo and pitch of an audio recording or stream dynamically and
independently of one another.
--
This package contains the header files needed for development with
librubberband. You will need this only if you intend to compile
programs that use this library.


%prep

%setup
aclocal
autoconf

%build
%configure
%__make

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%post -n librubberband1 -p /sbin/ldconfig

%postun -n librubberband1 -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc README.txt
%{_bindir}/*


%files -n librubberband1
%defattr(-, root, root)
%{_libdir}/librubberband.so.*


%files -n librubberband-devel
%defattr(-, root, root)
%dir %{_includedir}/rubberband
%{_includedir}/rubberband/*.h
%{_libdir}/librubberband.a
%{_libdir}/librubberband.so
%{_libdir}/pkgconfig/rubberband.pc


%files -n rubberband-ladspa
%defattr(-, root, root)
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/ladspa-rubberband.so
%{_libdir}/ladspa/ladspa-rubberband.cat
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf


%changelog
* Thu Oct  1 2009 Rui Nuno Capela <rncbc@rncbc.org> - 1.4.0-1
- initial spec-ification
